%define		_class		SOAP
%define		upstream_name	%{_class}
%define peardir %(pear config-get php_dir 2> /dev/null)

%global __requires_exclude pear\\(SOAP/test/test.utility.php\\)
%global __requires_exclude_from ^%{_docdir}

Name:		php-pear-%{upstream_name}
Version:	0.14.0
Release:	%mkrel 2
Summary:	Client/Server for PHP
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/SOAP/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-bcmath
Requires:	php-pear-HTTP_Request
Requires:	php-pear-Net_URL
Requires:	php-pear-Net_DIME
BuildArch:	noarch
BuildRequires:	php-pear

%description
Implementation of SOAP protocol and services.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/example
%{_datadir}/pear/%{_class}
%{peardir}/tools/genproxy.php
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.14.0-2.mga8
+ Revision: 1519969
- Mageia 8 Mass Rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 0.14.0-1.mga7
+ Revision: 1326023
- new version 0.14.0

* Wed Sep 19 2018 umeabot <umeabot> 0.13.0-9.mga7
+ Revision: 1273867
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 0.13.0-8.mga6
+ Revision: 964792
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.13.0-7.mga5
+ Revision: 739366
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 0.13.0-6.mga5
+ Revision: 736445
- add excludes

* Wed Oct 01 2014 tv <tv> 0.13.0-5.mga5
+ Revision: 734172
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.13.0-4.mga5
+ Revision: 687448
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.13.0-3.mga4
+ Revision: 517217
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.13.0-2.mga3
+ Revision: 377227
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 30 2012 spuhler <spuhler> 0.13.0-1.mga3
+ Revision: 275887
- upgrade to 0.13.0

* Fri Jan 21 2011 spuhler <spuhler> 0.12.0-5.mga1
+ Revision: 28009
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-SOAP


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.12.0-5mdv2011.0
+ Revision: 607142
- rebuild

* Tue Nov 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.12.0-4mdv2010.1
+ Revision: 467084
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.12.0-3mdv2010.0
+ Revision: 426667
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.12.0-2mdv2009.1
+ Revision: 321897
- rebuild

* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.12.0-1mdv2009.0
+ Revision: 272596
- 0.12.0

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.10.1-3mdv2009.0
+ Revision: 224881
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.10.1-2mdv2008.1
+ Revision: 178536
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.10.1-1mdv2008.0
+ Revision: 15746
- 0.10.1


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.4-1mdv2007.0
+ Revision: 82529
- Import php-pear-SOAP

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.4-1mdk
- 0.9.4

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-1mdk
- 0.9.3
- new group (Development/PHP)

* Sat Sep 03 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-8mdk
- fix #17668

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-7mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-5mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-4mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-3mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-2mdk
- fix spec file to conform with the others

* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 0.8.1-1mdk
- First mdk package

